Page MenuHomePhabricator

*.wmflabs.org https certificate expired (tools.wmflabs.org)
Closed, ResolvedPublic

Tokens
"Heartbreak" token, awarded by Fuzheado."Heartbreak" token, awarded by Negative24."Mountain of Wealth" token, awarded by Vituzzu."Doubloon" token, awarded by Ash_Crow."Mountain of Wealth" token, awarded by Florian."Manufacturing Defect?" token, awarded by matmarex."The World Burns" token, awarded by Superjuju10."The World Burns" token, awarded by Thibaut120094."The World Burns" token, awarded by Thgoiter."The World Burns" token, awarded by Sjoerddebruin.
Assigned To
Authored By
Bamyers99, Sep 15 2015

Description

tools.wmflabs.org https certificate expired certificate expired on 15-09-14 08:43 PM. This is the star.wmflabs.org certificate which is also used for https in the labs proxy.

Event Timeline

Bamyers99 raised the priority of this task from to Needs Triage.
Bamyers99 updated the task description. (Show Details)
Bamyers99 added a project: Toolforge.
Bamyers99 added a subscriber: Bamyers99.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptSep 15 2015, 1:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
yuvipanda renamed this task from tools.wmflabs.org https certificate expired to *.wmflabs.org https certificate expired.Sep 15 2015, 1:04 AM
yuvipanda triaged this task as Unbreak Now! priority.
yuvipanda updated the task description. (Show Details)
yuvipanda set Security to None.

Looks like it might take us a day or so to renew them. Ugh.

Now, how will we remember to do this in the future?

I think there's a calendar somewhere with expiry dates, and this cert was just missed. I'll verify and make sure there's one such calendar.

T112542 refers to a 'tracking calendar'. And this is sort of part of that.

Krinkle renamed this task from *.wmflabs.org https certificate expired to *.wmflabs.org https certificate expired (tools.wmflabs.org).Sep 15 2015, 1:38 AM
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.

Thanks for working on this :-)

Just for info, this breaks most Wikivoyage articles (they embed a dynamic map frame generated by tools.wmflabs.org):

Should the Wikivoyage tool perhaps be moved to a production or production-like machine to prevent such occurrences? From what I've heard, anything that breaks the actual page of a Wikimedia wiki (not bot/maintenance tasks) should be put on a higher priority machine. (topic for another task; cc me if one is made)

Wrh2 added a subscriber: Wrh2.Sep 15 2015, 5:42 AM

Should the Wikivoyage tool perhaps be moved to a production or production-like machine to prevent such occurrences? From what I've heard, anything that breaks the actual page of a Wikimedia wiki (not bot/maintenance tasks) should be put on a higher priority machine. (topic for another task; cc me if one is made)

There is a maps.wikimedia.org service in progress that I believe is supposed to be a more "official" maps service - see Yurik's comments at the end of the https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub#Dynamic_maps thread - but my understanding is that it is still a work-in-progress and that issues still need to be resolved.

We are waiting on the CA to re-issue the certificate and will be back online as soon as that happens. Might be up to midday west coast time however :(

Thgoiter added a subscriber: Thgoiter.
Superjuju10 added a subscriber: Superjuju10.
Florian added a subscriber: Florian.
Ash_Crow added a subscriber: Ash_Crow.
Xqt added a subscriber: Xqt.Sep 15 2015, 12:36 PM
Fuzheado added a subscriber: Fuzheado.
coren closed this task as Resolved.Sep 15 2015, 4:06 PM
coren claimed this task.
coren added a subscriber: coren.

The new certificates have been issued, and I've pushed them to the servers (specifically, the labs-wide dynamicproxy and the tools-specific proxies and static web servers).

As far as I can tell, that covers everything.

Wrh2 added a comment.Sep 15 2015, 8:28 PM

The new certificates have been issued, and I've pushed them to the servers (specifically, the labs-wide dynamicproxy and the tools-specific proxies and static web servers).
As far as I can tell, that covers everything.

Thanks for the quick solution - things look fine to me now when I open https://tools.wmflabs.org/ or pull up a Wikivoyage map such as https://en.wikivoyage.org/wiki/Culver_City#Get_around.

hashar added a subscriber: hashar.Sep 16 2015, 9:11 AM

Left to be done is to add a monitoring probe for the certificate expiry T112645: Add a monitoring check for *.wmflabs.org certificate

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 7 2017, 6:47 PM